d1_client_cli fails get if mn-url not set

2014-05-02 23:00 - Matthew Jones

Status: Closed Start date: 2014-09-25

Priority: Normal Due date: 2015-01-13

Assignee: Roger Dahl % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

The current trunk (r13748) of the dataone client command produces a cryptic error with stacktrace is emitted if an attempt is made to

download an object.  If one first sets the mn-url to an MN that holds the object, the command succeeds.  So, the problem is that the

client doesn't know how to lookup an object location using resolve().  In general, the mn-url that is set is likely to not contain any

given object that may be of interest to a user, so the get() call should really either:

1) do a resolve first in all cases, and then run the get for one of the MNs that is returned, or

2) if the mn-url is set, try it, and on failure, do a resolve then a get()

In either case, a stack trace should not be returned -- instead, the program should swallow the trace and provide an informative

message to the user, such as:

"The object pricope.10.1 was not found on the DataONE network."

"The mn-url must be set before calling the 'get' command."

To close this, I suggest that the client be modified to:

1) Use resolve(), first, then get() on a proper MN, and

2) Return human-readable error messages if something goes awry

"

History

#1 - 2014-09-25 17:42 - Dave Vieglais

- Start date set to 2014-09-25

- Due date set to 2014-09-25

- Target version set to Release Backlog

#2 - 2015-01-13 16:27 - Dave Vieglais

- Due date changed from 2014-09-25 to 2015-01-13

- Category deleted (d1_client_cli)

- Assignee changed from Roger Dahl to Mark Flynn

- Project changed from Infrastructure to Python CLI

#3 - 2015-01-19 23:17 - Dave Vieglais

- Target version deleted (Release Backlog)

#4 - 2016-04-21 22:38 - Roger Dahl

- Assignee changed from Mark Flynn to Roger Dahl

#5 - 2018-01-09 02:44 - Dave Vieglais

- % Done changed from 0 to 100

- Status changed from New to Closed
